#echo 'export PATH=$PATH:/opt/mssql-tools/bin' >> ~/.bashrc
#source ~/.bashrc

# sqlcmd -S localhost -U sa -P '<your_password>'

sudo rm /etc/yum.repos.d/mssql-server.repo

# Add Microsoft SQL Server repository
#sudo curl https://packages.microsoft.com/keys/microsoft.asc | sudo tee /etc/yum.repos.d/microsoft.repo
#sudo curl https://packages.microsoft.com/config/rhel/8/prod.repo -o /etc/yum.repos.d/mssql-server.repo
sudo curl -o /etc/yum.repos.d/mssql-server.repo https://packages.microsoft.com/config/rhel/8/mssql-server-2022.repo

sudo dnf clean all
sudo dnf makecache

# Install SQL Server Express
sudo dnf install -y mssql-server
# sudo yum install -y mssql-server

# Run the setup to configure SQL Server
sudo /opt/mssql/bin/mssql-conf setup

# Check if SQL Server is running
#systemctl status mssql-server

# Enable SQL Server to start on boot
sudo systemctl enable mssql-server

# (Optional) Open SQL Server port for remote access
sudo firewall-cmd --zone=public --add-port=1433/tcp --permanent
sudo firewall-cmd --reload

# (Optional) Install SQL Server command-line tools
#sudo dnf install -y mssql-tools
# curl https://packages.microsoft.com/config/rhel/9/prod.repo | sudo tee /etc/yum.repos.d/mssql-release.repo
curl https://packages.microsoft.com/config/rhel/8/prod.repo | sudo tee /etc/yum.repos.d/mssql-release.repo
sudo yum remove mssql-tools unixODBC-utf16 unixODBC-utf16-devel
sudo yum install -y mssql-tools18 unixODBC-devel

sudo yum check-update
sudo yum update mssql-tools18
sudo dnf install mssql-tools --assumeyes
sudo dnf install -y msodbcsql18

echo 'export PATH="$PATH:/opt/mssql-tools18/bin"' >> ~/.bash_profile
source ~/.bash_profile

# Connect to SQL Server using sqlcmd
sqlcmd --version
#sqlcmd -C -S localhost -U sa -P '<your_password>'
#sqlcmd -S localhost -U sa  -C