#!/bin/bash

# Prompt for MySQL root password securely
read -sp "Enter MySQL root password: " MYSQL_PASSWORD
echo # Newline after password input

# Prompt for the database name (default: elixir)
DEFAULT_INSTANCENAME="elixir"
echo "Enter instance name (default: $DEFAULT_INSTANCENAME):"
read instancename
INSTANCENAME=${instancename:-$DEFAULT_INSTANCENAME}

# Prompt for the database name with a default value
read -p "Enter the database name (default: $INSTANCENAME): " DB_NAME
DB_NAME=${DB_NAME:-$INSTANCENAME}

# Copy the backup file to /tmp
cp /home/elvt/pgsys/$INSTANCENAME-data/dbdumps/reduced_${DB_NAME}_backup /tmp

# Restore the database
sqlcmd -S localhost -U sa -Q "RESTORE DATABASE $DB_NAME FROM DISK = '/tmp/reduced_${DB_NAME}_backup' WITH MOVE '$DB_NAME' TO '/var/opt/mssql/data/$DB_NAME.mdf', MOVE '${DB_NAME}_log' TO '/var/opt/mssql/data/$DB_NAME_log.ldf'"

# Clean up by removing the backup file from /tmp
rm /tmp/reduced_${DB_NAME}_backup

echo "Database restore for '$DB_NAME' completed successfully."
